<?php
namespace WPFunnels\Lms\Settings;


class Wpfunnels_Lms_Settings{


    public function __construct() {
        add_filter( 'wpfunnels/funnel_individual_settings', [ $this,'change_settings' ], 10, 2 );
    }

    public function init_ajax()
    {
        wp_ajax_helper()->handle('wpfnl-update-funnel-type-settings')
            ->with_callback([ $this, 'wpfnl_update_funnel_type_settings' ])
            ->with_validation($this->get_validation_data());

    }


        /**
     * Validate data
     */
    public function get_validation_data()
    {
        return[
            'logged_in' => true,
            'user_can' => 'manage_options',
        ];
    }


    /**
     * Update lms settings for a funnel
     * 
     * 
     */
    public function wpfnl_update_funnel_type_settings( $payload ){
        
        $response = [
            'success' => false,
        ];
        if( isset($payload['funnel_id']) ){
            if( isset($payload['is_lms']) ){
                update_post_meta( $payload['funnel_id'] , 'is_lms', $payload['is_lms'] );
                $steps = get_post_meta( $payload['funnel_id'], '_steps_order', true );
                if( is_array($steps) ){
                    foreach( $steps as $key=>$step ){
                        if( $step['step_type'] == 'checkout' || $step['step_type'] == 'upsell' || $step['step_type'] == 'downsell' ){
                            delete_post_meta( $step['id'], '_wpfnl_'.$step['step_type'].'_products' );
                        }
                        if( $step['step_type'] == 'checkout' ){
                            delete_post_meta( $step['id'], 'order-bump-settings' );
                        }
                        
                    }
                } 
                if( $payload['is_lms'] == 'yes' ){
                    update_post_meta( $payload['funnel_id'] , '_wpfnl_funnel_type', 'lms' );
                }else {
                    update_post_meta( $payload['funnel_id'] , '_wpfnl_funnel_type', 'wc' );
                }
            }
            $response = [
                'success' => true,
                'data'    => 'Save successfull',
            ];
        }
       
        return $response;
    }


    /**
     * Change settings parameter
     */
    public function change_settings( $response, $funnel_id ){

        if( $funnel_id ){
            $type = get_post_meta( $funnel_id, '_wpfnl_funnel_type', true );
            
            $response['isLms'] =  $type == 'lms' ? 'yes' : 'no';
        }
        return $response;
    }
}