<?php
namespace WPFunnelsPro\Admin\OfferProduct;
use WPFunnels\lms\helper\Wpfnl_lms_learndash_functions;
use WPFunnels\Wpfnl_functions;

class Wpfunnels_Pro_Lms_OfferProduct extends Wpfnl_Pro_OfferProduct
{

    /**
     * Add upsell product
     * 
     * @param String $id
     * @return Array
     * 
     */
    public function add_upsell_items( $id, $data, $step_id ){
        $pr_id    = $id;
        $course   = Wpfnl_lms_learndash_functions::get_course_by_id( $pr_id );
        $course_details   = Wpfnl_lms_learndash_functions::get_course_details_by_id( $pr_id );
        $price    = function_exists( 'learndash_get_course_price' ) ? learndash_get_course_price( $course ) : '';
        $price    = isset( $price[ 'price' ] ) ? $price[ 'price' ] : $price;
        $price    = isset( $price[ 'price' ] ) ? $price[ 'price' ] : $price;
        $image_id = get_post_meta( $pr_id, '_thumbnail_id', true );
        $image    = wp_get_attachment_image_src( $image_id, 'single-post-thumbnail' );
        
        return [
            'success' => true,
            'products' => [
                'id' 				=> $pr_id,
                'title' 			=> $course->post_title,
                'price' 			=> $price,
                'trial_price' 		=> $course_details['trial_price'],
                'numeric_price'     => $price,
                'no_of_lession'     => $course_details['no_of_lesson'],
                'type'     			=> $course_details['type'],
                'currency' 			=> function_exists( 'learndash_get_currency_symbol' ) ? Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code(learndash_get_currency_symbol()) : Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code(learndash_30_get_currency_symbol()),
                'sale_price' 		=> $price,
                'regular_price' 	=> $price,
                'quantity' 			=> 1,
                'image' 			=> isset( $image[0] ) ? $image[0] : '',
                'discount_type' 	=> '',
                'discount_value' 	=> '',
                'product_edit_link' => get_edit_post_link($pr_id),
                'product_view_link' => get_permalink($pr_id),
            ],
        ];
    }


    public function get_upsell_items( $products, $step_id ){
        
        if( $products ){
            $course   = Wpfnl_lms_learndash_functions::get_course_by_id( $products[ 0 ][ 'id' ] );
            $course_details   = Wpfnl_lms_learndash_functions::get_course_details_by_id( $products[ 0 ][ 'id' ] );
            $price    = function_exists( 'learndash_get_course_price' ) ? learndash_get_course_price( $course ) : '';
            $price    = isset( $price[ 'price' ] ) ? $price[ 'price' ] : $price;
            $image_id = get_post_meta( $products[ 0 ][ 'id' ], '_thumbnail_id', true );
            $image    = wp_get_attachment_image_src( $image_id, 'single-post-thumbnail' );

            $response['products'][] = array(
                'id' 				=> $products[0]['id'],
                'title' 			=> $course->post_title,
                'price' 			=> $price,
                'trial_price' 		=> $course_details['trial_price'],
                'numeric_price'     => $price,
                'no_of_lession'     => $course_details['no_of_lesson'],
                'type'     			=> $course_details['type'],
                'currency' 			=> function_exists( 'learndash_get_currency_symbol' ) ? Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code(learndash_get_currency_symbol()) : Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code(learndash_30_get_currency_symbol()),
                'sale_price' 		=> $price,
                'regular_price' 	=> $price,
                'quantity' 			=> 1,
                'image' 			=> isset($image[0]) ? $image[0] : '',
                'discount_type' 	=> '',
                'discount_value' 	=> '',
                'product_edit_link' => get_edit_post_link($products[0]['id']),
                'product_view_link' => get_permalink($products[0]['id']),
            );
            $discount   = get_post_meta( $step_id, '_wpfnl_upsell_discount', true );
            /** if offer product has discount */
            if( $discount ) {
                $discount_type     = $discount[ 'discountType' ];
                $discount_apply_to = $discount[ 'discountApplyTo' ];
                $discount_value    = $discount[ 'discountValue' ];

                if( 'discount-percentage' === $discount[ 'discountType' ] || 'discount-price' === $discount[ 'discountType' ] ) {
                    $regular_price = $course_details['price'];
                    $product_price                   = Wpfnl_functions::calculate_discount_price( $discount_type, $discount_value, $regular_price );
                    $product_price                   = preg_replace( '/[^\d.]/', '', $product_price );
                    $discount[ 'discountPrice' ]     = $product_price;
                    $discount[ 'discountPriceHtml' ] = $product_price;
                }
                else {
                    $discount[ 'discountPrice' ]     = $course_details['price'];
                    $discount[ 'discountPriceHtml' ] = $course_details['price'];
                }
            }
            $response['coupon'] = '';
            $response['isMultipleProduct'] = '';
            $response['isQuantity'] = '';
            $response['discount'] = $discount ? $discount : array(
                'discountType'      => 'original',
                'discountApplyTo'   => 'regular',
                'discountValue'     => '0',
                'discountPrice'     => $course_details['price'],
                'discountPriceHtml' => $course_details['price'],
            );
        }else{
            
            $response['products'] = [];
            $response['coupon'] = '';
            $response['isMultipleProduct'] = '';
            $response['isQuantity'] = '';
            $response[ 'discount' ] = array(
                'discountType'      => 'original',
                'discountApplyTo'   => 'regular',
                'discountValue'     => '0',
                'discountPrice'     => '0',
                'discountPriceHtml' => '0',
            );
        }
        $response['success'] = true;
        $response['isOfferReplace'] = array(
            'replacement_type'  => '',
            'value'             => '',
        );
       
        $response['columns'] = Wpfnl_functions::get_checkout_columns( $step_id );
       
        return $response;
    }
    

    /**
     * Add upsell product
     * 
     * @param String $id
     * @return Array
     * 
     */
    public function add_downsell_items( $id, $data, $step_id ){
        $pr_id = $id;
        $course = Wpfnl_lms_learndash_functions::get_course_by_id($pr_id);
        $course_details   = Wpfnl_lms_learndash_functions::get_course_details_by_id( $pr_id );
        $price    = function_exists( 'learndash_get_course_price' ) ? learndash_get_course_price( $course ) : '';
        $price	  = isset( $price['price'] ) ? $price['price'] : $price;

        $image_id = get_post_meta($pr_id,'_thumbnail_id', true);
        $image = wp_get_attachment_image_src($image_id, 'single-post-thumbnail');
        
        return [
            'success' => true,
            'products' => [
                'id' 				=> $pr_id,
                'title' 			=> $course->post_title,
                'price' 			=> $price,
                'trial_price' 		=> $course_details['trial_price'],
                'numeric_price'     => $price,
                'no_of_lession'     => $course_details['no_of_lesson'],
                'type'     			=> $course_details['type'],
                'currency' 			=> function_exists( 'learndash_get_currency_symbol' ) ? Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code(learndash_get_currency_symbol()) : Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code(learndash_30_get_currency_symbol()),
                'sale_price' 		=> $price,
                'regular_price' 	=> $price,
                'quantity' 			=> 1,
                'image' 			=> isset($image[0]) ? $image[0] : '',
                'discount_type' 	=> '',
                'discount_value' 	=> '',
                'product_edit_link' => get_edit_post_link($pr_id),
                'product_view_link' => get_permalink($pr_id),
            ],
        ];
    }   

    /**
     * add downsell item to post meta 
     * 
     * @param String $id
     * @return Array
     * @since 2.4.6
     */
    public function get_downsell_items( $products, $step_id ){
        
        if( $products ){
            $course   = Wpfnl_lms_learndash_functions::get_course_by_id( $products[ 0 ][ 'id' ] );
            $course_details   = Wpfnl_lms_learndash_functions::get_course_details_by_id( $products[ 0 ][ 'id' ] );
            $price    = function_exists( 'learndash_get_course_price' ) ? learndash_get_course_price( $course ) : '';
            $price    = isset( $price[ 'price' ] ) ? $price[ 'price' ] : $price;
            $image_id = get_post_meta( $products[ 0 ][ 'id' ], '_thumbnail_id', true );
            $image    = wp_get_attachment_image_src( $image_id, 'single-post-thumbnail' );

            $response['products'][] = array(
                'id' 				=> $products[0]['id'],
                'title' 			=> $course->post_title,
                'price' 			=> $price,
                'trial_price' 		=> $course_details['trial_price'],
                'numeric_price'     => $price,
                'no_of_lession'     => $course_details['no_of_lesson'],
                'type'     			=> $course_details['type'],
                'currency' 			=> function_exists( 'learndash_get_currency_symbol' ) ? Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code(learndash_get_currency_symbol()) : Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code(learndash_30_get_currency_symbol()),
                'sale_price' 		=> $price,
                'regular_price' 	=> $price,
                'quantity' 			=> 1,
                'image' 			=> isset($image[0]) ? $image[0] : '',
                'discount_type' 	=> '',
                'discount_value' 	=> '',
                'product_edit_link' => get_edit_post_link($products[0]['id']),
                'product_view_link' => get_permalink($products[0]['id']),
            );

            $discount   = get_post_meta( $step_id, '_wpfnl_downsell_discount', true );
            /** if offer product has discount */
            if( $discount ) {
                $discount_type     = $discount[ 'discountType' ];
                $discount_apply_to = $discount[ 'discountApplyTo' ];
                $discount_value    = $discount[ 'discountValue' ];

                if( 'discount-percentage' === $discount[ 'discountType' ] || 'discount-price' === $discount[ 'discountType' ] ) {
                    $regular_price = $course_details['price'];
                    $product_price                   = Wpfnl_functions::calculate_discount_price( $discount_type, $discount_value, $regular_price );
                    $product_price                   = preg_replace( '/[^\d.]/', '', $product_price );
                    $discount[ 'discountPrice' ]     = $product_price;
                    $discount[ 'discountPriceHtml' ] = $product_price;
                }
                else {
                    $discount[ 'discountPrice' ]     = $course_details['price'];
                    $discount[ 'discountPriceHtml' ] = $course_details['price'];
                }
            }


            $response['coupon'] = '';
            $response['isMultipleProduct'] = '';
            $response['isQuantity'] = '';
            $response['discount'] = $discount ? $discount : array(
                'discountType'      => 'original',
                'discountApplyTo'   => 'regular',
                'discountValue'     => '0',
                'discountPrice'     => $course_details['price'],
                'discountPriceHtml' => $course_details['price'],
            );
        }else{
            
            $response['products'] = [];
            $response['coupon'] = '';
            $response['isMultipleProduct'] = '';
            $response['isQuantity'] = '';
            $response[ 'discount' ] = array(
                'discountType'      => 'original',
                'discountApplyTo'   => 'regular',
                'discountValue'     => '0',
                'discountPrice'     => '0',
                'discountPriceHtml' => '0',
            );
        }
        $response['success'] = true;
        $response['isOfferReplace'] = array(
            'replacement_type'  => '',
            'value'             => '',
        );
        
        $response['columns'] = Wpfnl_functions::get_checkout_columns( $step_id );
        return $response;
        
    }
}