<?php
namespace WPFunnelsPro\AnalyticsController;
use WPFunnels\lms\helper\Wpfnl_lms_learndash_functions;
use WPFunnels\Rest\AnalyticsController\TimeInterval;

use WPFunnels\Wpfnl_functions;
use function cli\err;

class Lms {



    /**
     * Get funnel order IDs by Funnel ID and date
     * 
     * @param $funnel_id, $start_date, $end_date
     * 
     * @return 
     */
    public function get_orders_by_funnel( $funnel_id = null, $start_date = null, $end_date = null ){
        $results = [];
        
        if( $funnel_id ){
            if( $start_date && $end_date ){

                $start_date = date( 'Y-m-d H:i:s', strtotime( $start_date . '00:00:00' ) ); //phpcs:ignore
                $end_date   = date( 'Y-m-d H:i:s', strtotime( $end_date . '23:59:59' ) ); //phpcs:ignore
                global $wpdb;
                $table_name = $wpdb->prefix.'wpfnl_lms_order';
                
                $where = '';
                $where .= " WHERE lms.funnel_id = $funnel_id ";
                $where .= " AND lms.date_created >= '$start_date' ";
                $where .= " AND lms.date_created <= '$end_date' ";

                $query = 'SELECT lms.id FROM ' . $wpdb->prefix . 'wpfnl_lms_order lms 
                ' . $where;

                $results = $wpdb->get_results( $query );
                if( $results ){
                    return $results;
                }

            }
        }
        return $results;

    }

    /**
     * Get earnings of a funnel
     */
    public function get_earnings( $funnel_id = null , $orders = [], $start_date = null, $end_date = null, $all_data= null, $step_id = null,$step_type = null ){

        $gross_sale                 = 0;
        $average_order_value        = 0;
        $total_order_bump_earnings  = 0;
        $order_count                = 0;
        $total_revenue              = 0;
        $revenue                    = 0;
        $offer_revenue              = 0;
        $total_offer_revenue        = 0;
        $upsell_revenue             = 0;
        $order_bump_earnings        = 0;
        
        global $wpdb;
        if( !empty($orders) ) {
            foreach ( $orders as $order ) {
                $rowCount = 0;
                
                if( $all_data == 'step_revenue'){

                    $order = $wpdb->get_results("
                        SELECT * FROM " . $wpdb->prefix . "wpfnl_lms_order
                        WHERE 
                        funnel_id       = '" . $funnel_id . "'
                        AND step_id	    = '" . $step_id . "'
                        AND id	= '" . $order->id . "'
                    "); 
                    
                    $rowCount = $wpdb->num_rows;

                }elseif( $all_data == 'all_earning' || $all_data == 'intervals' ){
                    $order = $wpdb->get_results("
                        SELECT * FROM " . $wpdb->prefix . "wpfnl_lms_order
                        WHERE 
                        funnel_id       = '" . $funnel_id . "'
                        AND id	= '" . $order->id . "'
                    "); 
                    $rowCount = $wpdb->num_rows;
                }

                if( !$order ){
                    continue;
                }
                $order_count++;
                
                if( $order ){
                    foreach($order as $order_data){
                        if( 'main_product' == $order_data->step_type || 'orderbump' == $order_data->step_type ){
                            if( 'main_product' == $order_data->step_type ){
                                $total_revenue += (float)$order_data->amount;
                            }else{
                                $total_revenue += (float)$order_data->amount;
                                $revenue += (float)($order_data->amount);
                                $total_order_bump_earnings += (float)($order_data->amount);
                            }
                            
                        }
                        if('upsell' == $order_data->step_type || 'downsell' == $order_data->step_type){
                            $offer_revenue += (float)$order_data->amount;
                            $total_offer_revenue += (float)$offer_revenue;
                        }
                    }
                }
                
                

                //for gross sell
                $gross_order = $wpdb->get_results("
                    SELECT * FROM " . $wpdb->prefix . "wpfnl_lms_order
                    WHERE id	= '" . $order[0]->id . "'
                "); 
              
                $total_order = $gross_order[0]->amount;
                $gross_sale += (float) $total_order;
                
                
                $gross_sale = $gross_sale + $total_offer_revenue;
                if ( 0 !== $order_count ) {
                    $average_order_value = $gross_sale / $order_count;
                }
                
            }
            // $revenue = $total_revenue+$revenue;

            $all_earnings = array(
                'order'                         => (int)$order_count,
                'gross_sale_with_html'          => number_format( (float) $gross_sale, 2, '.', '' ),
                'gross_sale'                    => number_format( (float) $gross_sale, 2, '.', '' ),
                'order_bump_with_html'          => number_format( (float) $total_order_bump_earnings, 2, '.', '' ),
                'order_bump'                    => number_format( (float) $total_order_bump_earnings, 2, '.', '' ),
                'avg_order_value_with_html'     => number_format( (float) $average_order_value, 2, '.', '' ),
                'avg_order_value'               => number_format( (float) $average_order_value, 2, '.', '' ),
                'total_revenue'                 => number_format( (float) $total_revenue, 2, '.', '' ),
                'revenue'                       => number_format( (float) $total_revenue, 2, '.', '' ),
                'offer_revenue'                 => number_format( (float) $offer_revenue, 2, '.', '' ),
                'revenue_with_html'             => number_format( (float) $revenue, 2, '.', '' ),
                'currency'                      => Wpfnl_lms_learndash_functions::is_learndash_active() ? Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code( learndash_get_currency_symbol() ) : ''
            );
           
            return $all_earnings;
        }

        return [];

    }


    /**
     * get intervals
     */
    public function get_intervals( $funnel_id = null , $start_date = null , $end_date = null , $db_interval = false, $type='hour' ){

        if( $funnel_id ){
            if( $start_date && $end_date ){
                global $wpdb;

                // get total order within those dates from funnel
                $start_date = date( 'Y-m-d H:i:s', strtotime( $start_date . '00:00:00' ) ); //phpcs:ignore
                $end_date   = date( 'Y-m-d H:i:s', strtotime( $end_date . '23:59:59' ) ); //phpcs:ignore
                $where = '';
                $where .= " wpft1.date_created >= '$start_date' ";
                $where .= " AND wpft1.date_created <= '$end_date' ";
                $where .= " AND wpft1.funnel_id = '$funnel_id' ";
                
                $group_by = '';
                $include_id = 'wpft1.id,';
                $date_format = "'%Y-%m-%d'";
                if( $db_interval ) {
                    $group_by   = ' GROUP BY time_interval';
                    $include_id = '';
                }

                if( $type === 'hour' ) {
                    $date_format = "'%Y-%m-%d %h'";
                }
                
                $query = 'SELECT '.$include_id.' DATE_FORMAT(wpft1.date_created, '.$date_format.') AS time_interval  FROM ' . $wpdb->prefix . 'wpfnl_lms_order wpft1'.' WHERE' . $where . $group_by;

                $orders        = $wpdb->get_results($query);
                
                $final_results  = array();
                $_temp_results  = array();
                if( $orders ) {
                    
                    foreach ($orders as $result) {
                       
                        if( $db_interval ) {
                            $final_results[] = $result->time_interval;
                        } else {
                          
                            $_temp_results[$result->time_interval][] = (object) array(
                                'id'    => $result->id,
                            );
                        }
                    }
                }
                
               
                if( $_temp_results ) {
                    foreach ($_temp_results as $key => $temp_result) {
                        $default = array(
                            'time_interval'   => '',
                            'gross_sale'      => 0,
                            'order_bump'      => 0,
                            'avg_order_value' => 0,
                            'all_steps'       => array(),
                        );
                        $totals                     = $this->get_earnings($funnel_id, $temp_result,$start_date, $end_date,'intervals','' );
                        $totals['time_interval']    = $key;
                        $totals                     = wp_parse_args( $totals, $default );
                        $final_results[]            = $totals;
                    }
                }
                
                return $final_results;
               
            }
        }
        return false;
    }


     /**
     * Fills in interval gaps from DB with 0-filled objects.
     *
     * @param array    $db_intervals   Array of all intervals present in the db.
     * @param DateTime $start_datetime Start date.
     * @param DateTime $end_datetime   End date.
     * @param string   $time_interval  Time interval, e.g. day, week, month.
     * @param stdClass $data           Data with SQL extracted intervals.
     * @return stdClass
     */
    public function fill_in_missing_intervals( $db_intervals, $start_datetime, $end_datetime, $time_interval, &$data, $funnel_id ) {

        
        // @todo This is ugly and messy.
        $local_tz       = new \DateTimeZone( Wpfnl_functions::wpfnl_timezone_string() );
        $time_ids       = array_flip( wp_list_pluck( $data->intervals, 'time_interval' ) );
        // At this point, we don't know when we can stop iterating, as the ordering can be based on any value.
        $db_intervals = array_flip( $db_intervals );
        // Totals object used to get all needed properties.
        $totals_arr = $data->earnings;
        foreach ( $totals_arr as $key => $val ) {
            $totals_arr[ $key ] = 0;
        }

        while ( $start_datetime <= $end_datetime ) {
            $next_start = TimeInterval::iterate( $start_datetime, $time_interval );
            $time_id    = TimeInterval::time_interval_id( $time_interval, $start_datetime );
            // Either create fill-zero interval or use data from db.
            if ( $next_start > $end_datetime ) {
                $interval_end = $end_datetime->format( 'Y-m-d H:i:s' );
            } else {
                $prev_end_timestamp = (int) $next_start->format( 'U' ) - 1;
                $prev_end           = new \DateTime();
                $prev_end->setTimestamp( $prev_end_timestamp );
                $prev_end->setTimezone( $local_tz );
                $interval_end = $prev_end->format( 'Y-m-d H:i:s' );
            }

            
            $start_date = $start_datetime->format( 'Y-m-d' );
            $year = date('Y',strtotime($start_date));
            $month = date('m',strtotime($start_date));
            $day = date('d',strtotime($start_date));
            $order_url = admin_url('edit.php?post_type=shop_order&m='.$year.$month.$day.'&id='.$funnel_id);

               
                
            if ( array_key_exists( $time_id, $time_ids ) ) {

                
                $record               = &$data->intervals[ $time_ids[ $time_id ] ];
                $record['date_start'] = $start_datetime->format( 'Y-m-d H:i:s' );
                $record['date_end']   = $interval_end;
                $record['order_url']   = $order_url;
                $record['steps_data'] = $this->get_steps_conversion_data( $funnel_id, $start_datetime->format('Y-m-d H:i:s'), $next_start->format('Y-m-d H:i:s') );
            } elseif ( ! array_key_exists( $time_id, $db_intervals ) ) {
                
                
                $record_arr                  = array();
                $record_arr['time_interval'] = $time_id;
                $record_arr['date_start']    = $start_datetime->format( 'Y-m-d H:i:s' );
                $record_arr['date_end']      = $interval_end;
                $record_arr['order_url']     = $order_url;
                $record_arr['steps_data']    = $this->get_steps_conversion_data( $funnel_id, $start_datetime->format('Y-m-d H:i:s'), $next_start->format('Y-m-d H:i:s') );
                $totals_arr['steps_data']    = $record_arr['steps_data'];
                $data->intervals[]           = array_merge( $record_arr, $totals_arr );
            }
            $start_datetime = $next_start;
        }
        return $data;
    }


    /**
     * @param $funnel_id
     * @param $start_date
     * @param $end_date
     * @return array
     */
    public function get_steps_conversion_data( $funnel_id, $start_date, $end_date ) {
        
        global $wpdb;
        $analytics_db       = $wpdb->prefix . WPFNL_PRO_ANALYTICS_TABLE;
       
        $analytics_meta_db  = $wpdb->prefix . WPFNL_PRO_ANALYTICS_META_TABLE;
        // get all steps
        $steps     = Wpfnl_functions::get_steps($funnel_id);
        $all_steps = array();
        $conversion         = [];
        $conversion_rate    = [];
        $revenue_array      = [];
        foreach ( $steps as $key => $step ) {
            $all_steps[] = $step['id'];
        }
        $step_ids   = implode( ', ', $all_steps );
        $analytics_columns  = array(
            'step_id'       => "wpft1.step_id",
            'total_visits'  => "COUNT( DISTINCT( wpft1.id ) ) AS total_visits",
            'unique_visits' => "COUNT( DISTINCT( CASE WHEN wpft1.visitor_type = 'new' THEN wpft1.id ELSE NULL END ) ) AS unique_visits",
            'conversion'    => "COUNT( CASE WHEN wpft2.meta_key = 'conversion' AND wpft2.meta_value = 'yes' AND wpft1.visitor_type = 'returning' THEN wpft1.step_id ELSE NULL END ) AS conversions ",
            'new_conversion'    => "COUNT( CASE WHEN wpft2.meta_key = 'conversion' AND wpft2.meta_value = 'yes' AND wpft1.visitor_type = 'new' THEN wpft1.step_id ELSE NULL END ) AS new_conversions ",
            'optin_submission'  => "COUNT( CASE WHEN wpft2.meta_key = 'wpfunnel_optin_submit' AND wpft2.meta_value = 'yes' THEN wpft1.step_id ELSE NULL END ) AS optin_submission ",
        );
        $where = '';
        $where .= " AND wpft1.funnel_id = %s ";
        $where .= " AND wpft1.date_created >= %s ";
        $where .= " AND wpft1.date_created <= %s ";
        $query = $wpdb->prepare(
            "SELECT {$analytics_columns['step_id']},
            {$analytics_columns['total_visits']},
            {$analytics_columns['unique_visits']},
            {$analytics_columns['conversion']},
            {$analytics_columns['new_conversion']},
            {$analytics_columns['optin_submission']}
            FROM $analytics_db as wpft1 INNER JOIN $analytics_meta_db as wpft2 ON wpft1.id = wpft2.analytics_id
            WHERE ( wpft1.step_id IN ( $step_ids ) )
            {$where}
            GROUP BY wpft1.step_id
            ORDER BY NULL
            ",$funnel_id,$start_date ,$end_date);


        $visits_data        = $wpdb->get_results( $query );
        
        
        $total_visit_data   = array();
        if( $steps ) {
            foreach ( $steps as $step ) {
                $step_type  = get_post_meta( $step['id'], '_step_type', true );
                $revenue    = 0;
                $offer_revenue    = 0;
               
                if( 'checkout' === $step_type || 'upsell' === $step_type || 'downsell' === $step_type ) {
                    $rev = $this->get_step_revenue( $step['id'], $step_type, $start_date, $end_date );
                    
                    if( isset($rev['revenue'])){
                        $revenue = $rev['revenue'];
                    }
                    
                    if( isset($rev['offer_revenue']) ){
                        $offer_revenue = $rev['offer_revenue'];
                    }
                    
                }
                $conversion_rate = 0;
                
                if( $visits_data ) {
                    $key = array_search( $step['id'], array_column($visits_data, 'step_id') );
                    
                    if($key !== false){
                        if ( $visits_data[$key]->total_visits > 0 ) {
                            $conversion_rate = $visits_data[$key]->conversions / intval($visits_data[$key]->total_visits) * 100;
                        }
                        $total_visit_data[$step['id']] = array(
                            'step_id'           => $visits_data[$key]->step_id,
                            'step_name'         => $step['name'],
                            'step_type'         => $step['step_type'],
                            'total_visits'      => $visits_data[$key]->total_visits,
                            'returning_visits'  => $visits_data[$key]->total_visits-$visits_data[$key]->unique_visits,
                            'unique_visits'     => $visits_data[$key]->unique_visits,
                            'conversions'       => $visits_data[$key]->conversions,
                            'new_conversions'   => $visits_data[$key]->new_conversions,
                            'optin_submission'   => $visits_data[$key]->optin_submission,
                            'conversion_rate'   => $conversion_rate,
                            'revenue'           => $revenue,
                            'offer_revenue'  => $offer_revenue,
                        );
                    }
                    else{
                        $total_visit_data[$step['id']] = array(
                            'step_id'           => $step['id'],
                            'step_name'         => $step['name'],
                            'step_type'         => $step['step_type'],
                            'total_visits'      => 0,
                            'returning_visits'  => 0,
                            'unique_visits'     => 0,
                            'conversions'       => 0,
                            'new_conversions'   => 0,
                            'optin_submission'   => 0,
                            'conversion_rate'   => $conversion_rate,
                            'revenue'           => $revenue,
                            'offer_revenue'  => $offer_revenue,
                        );
                    }
                }
                else {
                    $total_visit_data[$step['id']] = array(
                        'step_id'           => $step['id'],
                        'step_name'         => $step['name'],
                        'step_type'         => $step['step_type'],
                        'total_visits'      => 0,
                        'returning_visits'  => 0,
                        'unique_visits'     => 0,
                        'conversions'       => 0,
                        'new_conversions'   => 0,
                        'optin_submission'  => 0,
                        'conversion_rate'   => $conversion_rate,
                        'revenue'           => $revenue,
                        'offer_revenue'     => $offer_revenue,
                    );
                }

            }
        }
        return $total_visit_data;
    }


    public function get_step_revenue( $step_id, $step_type, $start_date, $end_date ) {
        global $wpdb;
        $where  = '';
        $where .= "WHERE lms.step_id = $step_id";
        $where .= " AND lms.date_created >= '$start_date' ";
        $where .= " AND lms.date_created <= '$end_date' ";
        $query = $wpdb->prepare(
            "SELECT id
            FROM {$wpdb->prefix}wpfnl_lms_order as lms
            {$where}
            ");

        $orders = $wpdb->get_results( $query );
        
        $funnel_id = Wpfnl_functions::get_funnel_id_from_step($step_id);
        $earnings = $this->get_earnings($funnel_id,$orders,$start_date,$end_date, 'step_revenue', $step_id, $step_type);
        
        return $earnings;
    }

    public function reset_analytics_data( $request ){

        global $wpdb;
        $funnel_id          = $request['funnel_id'];
        $analytics_table    = 'wp_wpfnl_analytics';
        $analytics_meta     = 'wp_wpfnl_analytics_meta';
        $lms_order     = 'wp_wpfnl_lms_order';
        $wpdb->delete( $analytics_table, array( 'funnel_id' => $funnel_id ) );
        $wpdb->delete( $analytics_meta, array( 'funnel_id' => $funnel_id ) );
        $wpdb->delete( $lms_order, array( 'funnel_id' => $funnel_id ) );
        $all_earnings = array(
            'order'                         => 0,
            'gross_sale_with_html'          => number_format( (float) 0, 2, '.', '' ),
            'gross_sale'                    => number_format( (float) 0, 2, '.', '' ),
            'order_bump_with_html'          => number_format( (float) 0, 2, '.', '' ),
            'order_bump'                    => number_format( (float) 0, 2, '.', '' ),
            'avg_order_value_with_html'     => number_format( (float) 0, 2, '.', '' ),
            'avg_order_value'               => number_format( (float) 0, 2, '.', '' ),
            'total_revenue'                 => number_format( (float) 0, 2, '.', '' ),
            'revenue'                       => number_format( (float) 0, 2, '.', '' ),
            'offer_revenue'                 => number_format( (float) 0, 2, '.', '' ),
            'revenue_with_html'             => number_format( (float) 0, 2, '.', '' ),
            'currency'                      => Wpfnl_lms_learndash_functions::is_learndash_active() ? function_exists( 'learndash_get_currency_symbol' )  ? Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code( learndash_get_currency_symbol() ) : Wpfnl_lms_learndash_functions::get_currency_symbol_from_country_code( learndash_30_get_currency_symbol() )  : ''
        );
        $response           = array(
            'success'   => true,
            'data'      => 'data reset successfully',
            'all_data'  => $all_earnings,
        );
        
        return $response;
    }

}