<?php
namespace WPFunnels\lms\Shortcodes;


use WPFunnels\Data_Store\Wpfnl_Steps_Store_Data;
use WPFunnels\LMS\Shortcodes\Wpfnl_Shortcode_LMS_Checkout;
use WPFunnels\LMS\Shortcodes\Wpfnl_Shortcode_LMS_Order_Details;
use WPFunnels\LMS\Shortcodes\Wpfnl_Shortcode_LMS_Offer_button;
use WPFunnels\Traits\SingletonTrait;
use WPFunnels\Wpfnl_functions;


/**
 * Class Wpfnl_Shortcodes
 * @package WPFunnels\Shortcodes
 */

class Wpfnl_LMS_Shortcodes {

    private static $instance;
    public static function getInstance() {
        if (!self::$instance) {
            // new self() will refer to the class that uses the trait
            self::$instance = new self();
        }

        return self::$instance;
    }


	public static function init() {
		$shortcodes = array(
			'wpf_lms_checkout'				=> __CLASS__ . '::render_checkout',
			'wpf_lms_order_details'	        => __CLASS__ . '::render_order_details',
            'wpf_lms_offer_button'	        => __CLASS__ . '::render_offer_button',
		);

		foreach ( $shortcodes as $shortcode => $function ) {
			add_shortcode( $shortcode, $function );
		}
	}

	/**
	 * Render checkout
	 *
	 * @return string
	 */
	public static function render_checkout( $atts ){
		$shortcode	= new Wpfnl_Shortcode_LMS_Checkout( (array) $atts );
		return $shortcode->get_content();
	}
	/**
	 * Render Order Details
	 *
	 * @return string
	 */
	public static function render_order_details( $atts ){
		$shortcode	= new Wpfnl_Shortcode_LMS_Order_Details( (array) $atts );
		return $shortcode->get_content();
	}
	/**
	 * Render Offer Button
	 *
	 * @return string
	 */
	public static function render_offer_button( $atts ){
		$shortcode	= new Wpfnl_Shortcode_LMS_Offer_button( (array) $atts );
		return $shortcode->get_content();
	}


}
