<?php

namespace WPFunnelsPro\Lms\Widgets\Oxygen;

use WPFunnels\lms\helper\Wpfnl_lms_learndash_functions;
use WPFunnels\Wpfnl_functions;
use WPFunnelsPro\Wpfnl_Pro_functions;

class LmsPayButton extends Elements {

	function init() {
		// Do some initial things here.
	}

	function afterInit() {
		// Do things after init, like remove apply params button and remove the add button.
		$this->removeApplyParamsButton();
		// $this->removeAddButton();
	}

	function name() {
		return 'WPF LMS Offer Button';
	}

	function slug() {
		return "learndash-pay-button";
	}

	function icon() {
		return	plugin_dir_url(__FILE__) . 'icon/offer_button.svg';
	}

//    function button_place() {
//        // return "interactive";
//    }

	function button_priority() {
		// return 9;
	}

	function render($options, $defaults, $content) {
		$step_id  = get_the_ID();
        $funnel_id = get_post_meta($step_id,'_funnel_id',true);
        $get_learn_dash_setting = Wpfnl_lms_learndash_functions::get_learndash_settings($funnel_id);
        $lms_button_text = get_option( 'learndash_settings_custom_labels' );
        if ($get_learn_dash_setting == 'yes'){
            $step_type = get_post_meta($step_id, '_step_type', true);
            if ($step_type != 'upsell' && $step_type != 'downsell'){
                echo __('Sorry, Please place the element in WPFunnels Offer page');
            }else{
                $button_type           = $options['button_type'];
                $button_action         = $options['button_action'];
                $button_id =  'wpfunnels_'.$button_type.'_'.$button_action;

                if ($button_action == 'accept'){
                    $button_text = !empty($lms_button_text['button_take_this_course']) ? $lms_button_text['button_take_this_course'] : "Take this course";
                    $lms_product_id = get_post_meta($step_id,'_wpfnl_upsell_products',true);
                    if($step_type == 'downsell'){
                        $lms_product_id = get_post_meta($step_id,'_wpfnl_downsell_products',true);
                    }
                    $course_access = sfwd_lms_has_access( $lms_product_id[0]['id'], get_current_user_id() );
                    $next_step_url = Wpfnl_lms_learndash_functions::get_next_step_url($funnel_id,$step_id).'?wpfnl_ld_payment=free';
                    if ($course_access ){
                        echo '<a class="btn-default btn-join" href="'.$next_step_url.'" id="wpfnl-lms-access-course">'.$button_text.'</a>';
                        echo '<span class="wpfnl-lms-access-course-message"></span>';
                    }else{
                        if( $this->is_builder_mode() ) {
                            echo '<div class="learndash-block-inner"><a class="btn-join btn-default" href="#" id="btn-join"> '.$button_text.'</a></div>';
                        } else {
							$course = isset($lms_product_id[0]['id']) ? Wpfnl_lms_learndash_functions::get_course_details_by_id($lms_product_id[0]['id']) : [];
							if( !empty($course) ){
								if( isset($course['type'])  && $course['type'] == 'free' ){
									$next_step_url = Wpfnl_lms_learndash_functions::get_next_step_url($funnel_id,$step_id);
									echo '<a class="btn-default" href="'.$next_step_url.'" data-user_id="'.get_current_user_id().'" data-step_id="'.$step_id.'" data-course_id="'.$course['id'].'" id="wpfnl-lms-free-course">'.$button_text.'</a>';
									echo '<span class="wpfnl-lms-free-course-message"></span>';
								}
								else{
                                    echo do_shortcode( "[learndash_payment_buttons course_id='{$course['id']}']" );
								}
							}
                        }
                    }
                }else{
                    ?>
                    <div class="oxy-offer-button-<?php echo $options['button_alignment']; ?>">
                        <a class="btn-default btn-join wpfnl-oxy-offer-btn offer-button wpfunnels_offer_button" data-offertype="<?php echo $button_type ?>" id="<?php echo $button_id ?>"> <?php echo $options['title_text'] ?> </a>
                    </div>
                    <?php
                }
            }
        }else{
            echo __('Sorry, Please place the element in WPFunnels when learnDash is active ');
        }

	}

	function controls() {
		$offer_button_option = $this->addControlSection("offer_button_option", __("Button Options"), "assets/icon.png", $this);

		$offer_button_option->addOptionControl(
			array(
				"type" => "textfield",
				"name" => __("Button Text"),
				"slug" => "title_text",
				"default" => "I will pass",
                "condition" => 'button_action=reject',
			)
		)->rebuildElementOnChange();


		$offer_button_option->addOptionControl(
			array(
				"type" => 'dropdown',
				"name" => __("Offer Action"),
				"slug" => 'button_action',
				"default" => "accept"
			)
		)->setValue(array(
			'accept'       => __('Accept Offer' ),
			'reject'       => __('Reject Offer' ),
		))->rebuildElementOnChange();

		$offer_button_option->addOptionControl(
			array(
				"type" => 'dropdown',
				"name" => __("Offer Type"),
				"slug" => 'button_type',
				"default" => "upsell"
			)
		)->setValue(array(
			'upsell' => __('Upsell'),
			'downsell' => __('Downsell'),
		))->rebuildElementOnChange();

		$icon_selector = '.btn-join';
		$offer_button_style = $this->addControlSection("offer_button_style", __(" Button Style"), "assets/icon.png", $this);

		$offer_button_style->addPreset(
			"padding",
			"menu_item_padding",
			__("Button Padding"),
			$icon_selector
		)->whiteList();

		$offer_button_style->addPreset(
			"margin",
			"menu_item_margin",
			__("Button Margin"),
			$icon_selector
		)->whiteList();

		$offer_button_style->addOptionControl(
			array(
				"type" => 'dropdown',
				"name" => __("Button Alignment"),
				"slug" => 'button_alignment',
				"default" => "left"
			)
		)->setValue(array(
			'left'       => __('Left' ),
			'center'     => __('Center' ),
			'right'      => __('Right' ),
		))->rebuildElementOnChange();

		$offer_button_style->addStyleControls(
			array(
				array(
					"name" => __('Background Color'),
					"selector" => $icon_selector."",
					"property" => 'background-color',
				),
				array(
					"name" => __('Background Hover Color'),
					"selector" => $icon_selector.":hover",
					"property" => 'background-color',
				),
				array(
					"name" => __('Text Hover Color'),
					"selector" => $icon_selector.":hover",
					"property" => 'color',
				),

			)
		);
		$offer_button_style->borderSection(
			__("Button Border"),
			$icon_selector."",
			$this
		);
		$offer_button_style->typographySection(
			__("Typography"),
            $icon_selector,
			$this
		);
	}

	function defaultCSS() {

	}

}
