<?php

namespace WPFunnelsPro\Lms\Widgets\Oxygen;

use WPFunnels\lms\helper\Wpfnl_lms_learndash_functions;
use WPFunnels\Wpfnl_functions;
/**
 * Class Checkout
 * @package WPFunnels\Widgets\Oxygen
 */
class LmsCheckout extends Elements {

	function init() {
		// Do some initial things here.
	}

	function afterInit() {
		// Do things after init, like remove apply params button and remove the add button.
		$this->removeApplyParamsButton();
		// $this->removeAddButton();
	}

	function name() {
		return 'WPF LMS Checkout';
	}

	function slug() {
		return "wpf-lms-checkout";
	}

	function icon() {
		return	plugin_dir_url(__FILE__) . 'icon/checkout.svg';
	}

//    function button_place() {
//        // return "interactive";
//    }

	function button_priority() {
		// return 9;
	}

	function render($options, $defaults, $content) {
		$step_id  = get_the_ID();
		if (!Wpfnl_functions::check_if_this_is_step_type('checkout')){
			echo __('Sorry, Please place the element in WPFunnels Checkout page');
		}else{
			$funnel_id = get_post_meta($step_id,'_funnel_id',true);
			$get_learn_dash_setting = Wpfnl_lms_learndash_functions::get_learndash_settings($funnel_id);

			if($get_learn_dash_setting == 'yes'){
				$course = Wpfnl_lms_learndash_functions::get_course_details($step_id);
				if (!empty($course['id'])){

					$course_title 		= $course['title'];
					$description 		= $course['description'];
					$no_of_lesson 		= $course['no_of_lesson'];
					$course_type 		= $course['type'];
					$billing_cycle 		= $course['billing_cycle'];
					$recurring_time 	= $course['recurring_time'];
					$price 				= $course['price'];
					$trial_price 		= $course['trial_price'];
					$trial_period 		= $course['trial_period'];
					$is_expire 			= $course['is_expire'];
					$expire_days 		= $course['expire_days'];
					$image 				= $course['image'];
					$billing_cycle_unit = $course['billing_cycle_unit'];
					$trial_period_unit  = $course['trial_period_unit'];
					$currency  = $course['currency'];
					$discount_price  	= isset($course['discount_price']) ? $course['discount_price'] : '';

					//----course type------
					if( $course_type == 'subscribe' ) {
						$course_type_text = 'Subscription';

					}else if( $course_type == 'open' || $course_type == 'free' ){
						$course_type_text = 'Free';

					}else if( $course_type == 'paynow' ){
						$course_type_text = 'One-time Payment';

					}else {
						$course_type_text = 'Closed';
					}

					//----billing cycle unit------
					if( $course['billing_cycle_unit'] == 'Y' ) {
						$billing_cycle_unit_text = 'year';

					}else if( $course['billing_cycle_unit'] == 'M' ){
						$billing_cycle_unit_text = 'month';

					}else if( $course['billing_cycle_unit'] == 'W' ){
						$billing_cycle_unit_text = 'week';

					}else {
						$billing_cycle_unit_text = 'day';
					}

					//----trial period unit------
					if( $course['trial_period_unit'] == 'Y' ) {
						$trial_period_unit_text = 'year';

					}else if( $course['trial_period_unit'] == 'M' ){
						$trial_period_unit_text = 'month';

					}else if( $course['trial_period_unit'] == 'W' ){
						$trial_period_unit_text = 'week';

					}else {
						$trial_period_unit_text = 'day';
					}
					do_action( 'wpfunnels/before_checkout_form', $step_id );
					?>
					<div>
						<?php  do_action('wpfunnels/before_lms_order_deatils'); ?>
					</div>

					<div class="wpfnl-reset wpfnl-lms-checkout">
						<div class="lms-checkout-box">
							<div class="lms-checkout-header">
								<h4><?php echo $options['header_title_text'] ?></h4>
							</div>
							<div class="lms-checkout-body">
								<div class="course-image">
									<img src="<?php echo $image; ?>" alt="course image" />
								</div>

								<div class="course-content">
									<h2 class="course-title">
										<?php echo $course_title ?>
										<span class="no-of-lesson">- <?php echo $no_of_lesson ?> Lessons</span>
									</h2>

									<div class="lms-single-block course-details-block">
										<h4 class="lms-block-title"><?php echo $options['course_details_title_text'] ?></h4>
										<div class="course-description">
											<?php
											echo $options['course_description_title'];
											?>
										</div>
									</div>

									<div class="lms-single-block course-plan-block">
										<h4 class="lms-block-title"><?php echo $options['plan_details_title_text'] ?></h4>
										<div class="course-plan">
											<?php
											if( $course_type == 'subscribe' ){

												if( $discount_price ){
													echo $course_type_text .' - <span class="primary-color"><del>'.$currency.$price.'</del> <ins style="text-decoration:none">'.$currency.$discount_price.'</ins>/'.$billing_cycle_unit_text.'</span>';
												}else{
													echo $course_type_text .' - <span class="primary-color">'.$currency.$price.'/'.$billing_cycle_unit_text.'</span>';
												}

												if( !empty( $trial_period ) ){
													echo '<small> ('.$trial_period.' '.$trial_period_unit_text.' trial period)</small>';
												}

											} else if( $course_type == 'paynow' ){

												if( $discount_price ){
													echo $course_type_text .' - <span class="primary-color"><del>'.$currency.$price.'</del>  <ins style="text-decoration:none">'.$currency.$discount_price.'</ins></span>';
												}else{
													echo $course_type_text .' - <span class="primary-color">'.$currency.$price.'</span>';
												}

												if( $is_expire == 'on' ){
													echo '<small> (expires in '.$expire_days.' days)</small>';
												}
											}else{
												echo $course_type_text;

												if( $is_expire == 'on' ){
													echo '<small> (Login or register to enroll) (expires in '.$expire_days.' days)</small>';
												}
											}
											?>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="lms-checkout-footer">
							<?php
							if( $course_type == 'subscribe' ){
								if( !empty( $trial_period ) ){
									?>

									<p class="footer-title">Course Trial Fees <span class="footer-price"><?php echo $trial_price; ?></span></p>

								<?php }else{ ?>

									<p class="footer-title">Course Subscription Fees <span class="footer-price"><?php echo $currency.$price; ?></span></p>
									<?php
								}
							}else if( $course_type == 'paynow' ){
								if( $discount_price ){ ?>
									<p class="footer-title">Course Fees <span class="footer-price"><del><?php echo $currency.$price; ?></del> <ins style="text-decoration:none"> <?php echo $currency.$discount_price; ?> </ins></span></p>
								<?php } else{ ?>
									<p class="footer-title">Course Fees <span class="footer-price"><?php echo $currency.$price; ?></span></p>
								<?php }
								?>
							<?php }else{ ?>
								<p class="footer-title">Course Fees <span class="footer-price">Free</span></p>
							<?php } ?>

							<!-- buy now button -->
							<?php

							if( is_user_logged_in() ) {
								$course_access   = sfwd_lms_has_access( $course[ 'id' ], get_current_user_id() );
								$next_step_url   = Wpfnl_lms_learndash_functions::get_next_step_url( $funnel_id, $step_id ) . '?wpfnl_ld_payment=free';
								$lms_button_text = get_option( 'learndash_settings_custom_labels' );
								$button_text     = !empty( $lms_button_text[ 'button_take_this_course' ] ) ? $lms_button_text[ 'button_take_this_course' ] : __( 'Take This Course', 'wpfunnels-pro-lms' );

								if( $course_access ) {
									echo '<a class="btn-default" href="' . $next_step_url . '" id="wpfnl-lms-access-course">' . $button_text . '</a>';
									echo '<span class="wpfnl-lms-access-course-message"></span>';
								}
								else if( $course_type == 'free' ) {
									$next_step_url = Wpfnl_lms_learndash_functions::get_next_step_url( $funnel_id, $step_id );
									echo '<a class="btn-default" href="' . $next_step_url . '" data-user_id="' . get_current_user_id() . '" data-step_id="' . $step_id . '" data-course_id="' . $course[ 'id' ] . '" id="wpfnl-lms-free-course">' . $button_text . '</a>';
									echo '<span class="wpfnl-lms-free-course-message"></span>';
								}
								else {
									echo do_shortcode( "[learndash_payment_buttons course_id='{$course['id']}']" );
								}
							}
							else {
								echo do_shortcode( '[learndash_login]' );
							}
							?>
						</div>

					</div>

					<div>
						<?php  do_action('wpfunnels/after_lms_order_deatils'); ?>
					</div>
					<?php
				}
				else {
					echo __( 'Sorry, No Product Added in Checkout ' );
				}
			}
			else {
				echo __( 'Sorry, Please place the element in WPFunnels when learnDash is active ' );
			}
		}


	}

	public static function wpfunnels_woocommerce_locate_template($template, $template_name, $template_path)
	{
		global $woocommerce;
		$_template 		= $template;
		$plugin_path 	= WPFNL_DIR . '/woocommerce/templates/';

		if (file_exists($plugin_path . $template_name)) {
			$template = $plugin_path . $template_name;
		}

		if ( ! $template ) {
			$template = $_template;
		}

		return $template;
	}

	function controls() {

		$this->addOptionControl(
			array(
				"type" => "textfield",
				"name" => __("Order Details Header Title",'wpfnl'),
				"slug" => "header_title_text",
				"default" => "Order Details"
			)
		)->rebuildElementOnChange();
		$this->addOptionControl(
			array(
				"type" => "textfield",
				"name" => __("Course Details Title",'wpfnl'),
				"slug" => "course_details_title_text",
				"default" => "Course Details"
			)
		)->rebuildElementOnChange();

		$this->addOptionControl(
			array(
				"type" => "content",
				"name" => __("Course Description",'wpfnl'),
				"slug" => "course_description_title",
				"default" => __('Briefly describe your course in 2-3 lines.','wpfnl')
			)
		)->rebuildElementOnChange();


		$this->addOptionControl(
			array(
				"type" => "textfield",
				"name" => __("Plan Details Title",'wpfnl'),
				"slug" => "plan_details_title_text",
				"default" => "Plan Details"
			)
		)->rebuildElementOnChange();

		/*------------------------------
			LMS Header section Style
		----------------------------*/
		$lms_header = $this->addControlSection("lms_header", __("Header Style",'wpfnl'), "assets/icon.png", $this);
		$lms_header_selector 		= '.wpfnl-lms-checkout .lms-checkout-header';
		$lms_header_text_selector 	= '.wpfnl-lms-checkout .lms-checkout-header > h4';

		$lms_header->typographySection( __("Heading Typography",'wpfnl'), $lms_header_text_selector, $this );

		$lms_header->addPreset(
			"padding",
			"billing_header_padding",
			__("Padding",'wpfnl'),
			$lms_header_selector
		)->whiteList();

		$lms_header->addPreset(
			"margin",
			"billing_header_margin",
			__("Margin",'wpfnl'),
			$lms_header_selector
		)->whiteList();

		$lms_header->addStyleControls(
			array(
				array(
					"name" => __('Background Color','wpfnl'),
					"selector" => $lms_header_selector,
					"property" => 'background-color',
				),

			)
		);
		$lms_header->borderSection(
			__("Heading Border",'wpfnl'),
			$lms_header_selector,
			$this
		);
		/*------------------------------
			LMS Checkout Body section Style
		----------------------------*/
		$lms_body = $this->addControlSection("lms_checkout_style", __("Checkout Body Style",'wpfnl'), "assets/icon.png", $this);
		$lms_checkout_selector 			= '.wpfnl-lms-checkout .lms-checkout-body';
		$lms_checkout_text_selector 	= '.wpfnl-lms-checkout .lms-checkout-body .course-title,
											.wpfnl-lms-checkout .lms-checkout-body .lms-single-block .lms-block-title,
											.wpfnl-lms-checkout .lms-checkout-body .lms-single-block .lms-block-title
											';
		$lms_checkout_body_content 		= '	.wpfnl-lms-checkout .lms-checkout-body .course-title .no-of-lesson,
					 						.wpfnl-lms-checkout .lms-checkout-body .lms-single-block .course-description,
					 						.wpfnl-lms-checkout .lms-checkout-body .lms-single-block .course-plan';
		$lms_checkout_price_content		= '.wpfnl-lms-checkout .lms-checkout-body .lms-single-block .course-plan .primary-color';
		$lms_body->typographySection( __("Header Typography",'wpfnl'), $lms_checkout_text_selector, $this );
		$lms_body->typographySection( __("Body Typography",'wpfnl'), $lms_checkout_body_content, $this );
		$lms_body->typographySection( __("Price Typography",'wpfnl'), $lms_checkout_price_content, $this );

		$lms_body->addPreset(
			"padding",
			"billing_header_padding",
			__("Padding",'wpfnl'),
			$lms_checkout_selector
		)->whiteList();

		$lms_body->addPreset(
			"margin",
			"billing_header_margin",
			__("Margin",'wpfnl'),
			$lms_checkout_selector
		)->whiteList();

		$lms_body->addStyleControls(
			array(
				array(
					"name" => __('Background Color','wpfnl'),
					"selector" => $lms_checkout_selector,
					"property" => 'background-color',
				),

			)
		);
		$lms_body->borderSection(
			__("Checkout Border",'wpfnl'),
			$lms_checkout_selector,
			$this
		);

		/*------------------------------
			LMS Footer section Style
		----------------------------*/
		$lms_footer = $this->addControlSection("lms_footer", __("Footer Style",'wpfnl'), "assets/icon.png", $this);
		$lms_footer_selector 		= '.wpfnl-lms-checkout .lms-checkout-footer .footer-title';
		$lms_hooter_text_selector 	= '.wpfnl-lms-checkout .lms-checkout-footer .footer-price';

		$lms_footer->typographySection( __("Footer Typography",'wpfnl'), $lms_footer_selector, $this );
		$lms_footer->typographySection( __("Footer Price Typography",'wpfnl'), $lms_hooter_text_selector, $this );

		/*------------------------------
			Order button Style
		----------------------------*/
		$order_btn_section = $this->addControlSection("order_btn_section", __("Order Button Section",'wpfnl'), "assets/icon.png", $this);
		$order_btn = '.wpfnl-lms-checkout .lms-checkout-footer .ld-login-button, .wpfnl-lms-checkout .lms-checkout-footer .btn-join, .wpfnl-lms-checkout .lms-checkout-footer .btn-default';
		$order_btn_section->addPreset(
			"padding",
			"order_btn_padding",
			__("Padding",'wpfnl'),
			$order_btn
		)->whiteList();

		$order_btn_section->addPreset(
			"margin",
			"order_btn_margin",
			__("Margin",'wpfnl'),
			$order_btn
		)->whiteList();

		$order_btn_section->typographySection(
			__("Typography",'wpfnl'),
			$order_btn,
			$this
		);
		$order_btn_section->addStyleControls(
			array(
				array(
					"name" => __('Background Color','wpfnl'),
					"selector" => $order_btn,
					"property" => 'background-color',
				),

			)
		);
		$order_btn_section->addStyleControls(
			array(
				array(
					"name" => __('Background Hover Color','wpfnl'),
					"selector" => $order_btn.':hover',
					"property" => 'background-color',
				),

			)
		);
		$order_btn_section->addStyleControls(
			array(
				array(
					"name" => __('Text Hover Color','wpfnl'),
					"selector" => $order_btn.':hover',
					"property" => 'color',
				),

			)
		);
		$order_btn_section->borderSection( __("Border",'wpfnl'), $order_btn, $this );

	}

	function defaultCSS() {

//        error_log(print_r(file_get_contents(__DIR__.'/'.basename(__FILE__, '.php')),1));
//        return file_get_contents(__DIR__.'/'.basename(__FILE__, '.php').'.css');

	}

}
