<?php

namespace WPFunnelsPro\Lms\Widgets\Oxygen;

use WPFunnels\lms\helper\Wpfnl_lms_learndash_functions;
use WPFunnels\Wpfnl_functions;

/**
 * Class OrderDetails
 */
class LmsOrderDetails extends Elements {

    function init() {
        // Do some initial things here.
    }

    function afterInit() {
        // Do things after init, like remove apply params button and remove the add button.
        $this->removeApplyParamsButton();
        // $this->removeAddButton();
    }

    function name() {
        return 'WPF LMS Order Details';
    }

    function slug() {
        return "wpfnl-lms-order-details";
    }

    function icon() {
		return	plugin_dir_url(__FILE__) . 'icon/order_details.svg';
    }


    function button_priority() {
        // return 9;
    }


    function render($options, $defaults, $content) {
		$step_id  = get_the_ID();
		if (!Wpfnl_functions::check_if_this_is_step_type('thankyou')){
			echo __('Sorry, Please place the element in WPFunnels Thank You page');
		}else{
			$funnel_id = get_post_meta($step_id,'_funnel_id',true);
			$get_learn_dash_setting = Wpfnl_lms_learndash_functions::get_learndash_settings($funnel_id);
			if($get_learn_dash_setting == 'yes'){
				$order_details = Wpfnl_lms_learndash_functions::get_lms_order_details( get_current_user_id() ,$funnel_id );
				if (!empty($order_details)){
					foreach($order_details as $details){
						$course_details =  $details['course_details'];
						$payment_method =  $details['payment_method'];

						$course_type 		= $course_details['type'];
						$billing_cycle 		= $course_details['billing_cycle'];
						$recurring_time 	= $course_details['recurring_time'];
						$price 				= $course_details['price'];
						$trial_price 		= $course_details['trial_price'];
						$trial_period 		= $course_details['trial_period'];
						$is_expire 			= $course_details['is_expire'];
						$expire_days 		= $course_details['expire_days'];
						$currency  			= $course_details['currency'];
						$price  			= isset($details['amount']) ? $details['amount'] : $price;
						//----course type------
						if( $course_type == 'subscribe' ) {
							$course_type_text = 'Subscription';

						}else if( $course_type == 'open' || $course_type == 'free' ){
							$course_type_text = 'Free';

						}else if( $course_type == 'paynow' ){
							$course_type_text = 'One-time Payment';

						}else {
							$course_type_text = 'Closed';
						}

						//----billing cycle unit------
						if( $course_details['billing_cycle_unit'] == 'Y' ) {
							$billing_cycle_unit_text = 'year';

						}else if( $course_details['billing_cycle_unit'] == 'M' ){
							$billing_cycle_unit_text = 'month';

						}else if( $course_details['billing_cycle_unit'] == 'W' ){
							$billing_cycle_unit_text = 'week';

						}else {
							$billing_cycle_unit_text = 'day';
						}

						//----trial period unit------
						if( $course_details['trial_period_unit'] == 'Y' ) {
							$trial_period_unit_text = 'year';

						}else if( $course_details['trial_period_unit'] == 'M' ){
							$trial_period_unit_text = 'month';

						}else if( $course_details['trial_period_unit'] == 'W' ){
							$trial_period_unit_text = 'week';

						}else {
							$trial_period_unit_text = 'day';
						}

						?>
						<div class="lms-order-details">
							<!-- <h2 class="order-details-title"><span>Thank you.</span> You have been enrolled to your courses.</h2> -->

							<div class="order-details-table">
								<div class="order-item order-tbl-header">
									<?php
									if( $details['step_type'] == 'upsell' || $details['step_type'] == 'downsell' ){
										?>
										<span class="course-name">Course Offer</span>
										<?php
									}else{
										?>
										<span class="course-name">Course</span>
										<?php
									}
									?>


									<span class="price-total">Total</span>
								</div>

								<?php if($options['enable_course_review'] == 'on') {?>
									<div class="order-item course-info">
								<span class="course-name">
									<span><?php echo $course_details['title']; ?></span>
									<a href="<?php echo get_post_permalink($course_details['id']) ?>">View Course</a>
								</span>

										<span class="price-total">

									<?php
									if( $course_type == 'subscribe' ){
										echo  $currency.$price.'/'.$billing_cycle_unit_text;

									} else if( $course_type == 'paynow' ){
										echo $currency.$price;
									}else{
										echo $course_type_text;
									}
									?>


									<?php //echo $course_details['currency'].$course_details['price']; ?>
								</span>
									</div>
								<?php } ?>

								<?php if($options['enable_payment_method'] == 'on') {?>
									<div class="order-item">
								<span class="course-name">
									Payment method
								</span>

										<span class="price-total">
									<?php echo $payment_method; ?>
								</span>
									</div>
								<?php } ?>

								<?php if($options['enable_course_details'] == 'on') {?>
									<div class="order-item">
								<span class="course-name">
									Status
								</span>

										<span class="price-total">
									<?php
									if( $course_type == 'subscribe' ){
										if( !empty( $trial_period ) ){
											echo $trial_period.' '.strtolower($trial_period_unit_text).' trial '.'('.$currency.$trial_price.')';
										}else{
											echo $currency.$price;
										}

									}else{
										echo __('Enrolled');

										if( $is_expire == 'on' ){
											echo '<small> (expires in '.$expire_days.' days)</small>';
										}
									}
									?>

								</span>
									</div>
								<?php } ?>
							</div>

							<div class="order-details-table-footer">
								<div class="footer-list">
									<span class="total-title">Total Payment</span>
									<span class="total-price"><?php
										if($payment_method == 'free'){
											echo $course_details['currency']."0";
										}elseif( !empty( $trial_period ) ){
											echo $currency.$trial_price;
										}else{
											echo $course_details['currency'].$price;
										}

										?>
									</span>
								</div>
							</div>
						</div>
						<?php
					}
				}
			}elseif (isset($_GET['wpfnl_course_status']) && $_GET['wpfnl_course_status'] == 'enrolled' ){
				echo __('Thank you.You are already enrolled');
			}else{
				echo __('Sorry, Please place the element in WPFunnels when learnDash is active ');
			}
		}


    }
    function controls() {


		$this->addOptionControl(
			array(
				"type" => 'dropdown',
				"name" => __("Enable Course Overview","wpfnl"),
				"slug" => 'enable_course_review',
				"default" => "on"
			)
		)->setValue(array(
			'off'       => __('No' ),
			'on'       => __('Yes' ),
		))->rebuildElementOnChange();

		$this->addOptionControl(
			array(
				"type" => 'dropdown',
				"name" => __("Enable Payment Method","wpfnl"),
				"slug" => 'enable_payment_method',
				"default" => "on"
			)
		)->setValue(array(
			'off'       => __('No',"wpfnl"),
			'on'       => __('Yes',"wpfnl" ),
		))->rebuildElementOnChange();

		$this->addOptionControl(
			array(
				"type" => 'dropdown',
				"name" => __(" Enable Course Status","wpfnl"),
				"slug" => 'enable_course_details',
				"default" => "on"
			)
		)->setValue(array(
			'off'       => __('No',"wpfnl" ),
			'on'       => __('Yes',"wpfnl" ),
		))->rebuildElementOnChange();


		/*------------------------------
			LMS Header section Style
		----------------------------*/
		$lms_header = $this->addControlSection("lms_header", __("Header Style",'wpfnl'), "assets/icon.png", $this);
		$lms_header_selector 		= '.lms-order-details .order-details-table .order-tbl-header';
		$lms_header_text_selector 	= '.lms-order-details .order-details-table .order-tbl-header > span';

		$lms_header->typographySection( __("Heading Typography",'wpfnl'), $lms_header_text_selector, $this );

		$lms_header->addPreset(
			"padding",
			"order_details_header_padding",
			__("Padding",'wpfnl'),
			$lms_header_selector
		)->whiteList();

		$lms_header->addPreset(
			"margin",
			"order_details_header_margin",
			__("Margin",'wpfnl'),
			$lms_header_selector
		)->whiteList();

		$lms_header->addStyleControls(
			array(
				array(
					"name" => __('Background Color','wpfnl'),
					"selector" => $lms_header_selector,
					"property" => 'background-color',
				),

			)
		);
		$lms_header->borderSection(
			__("Heading Border",'wpfnl'),
			$lms_header_selector,
			$this
		);
		/*------------------------------
			LMS Checkout Body section Style
		----------------------------*/
		$lms_body = $this->addControlSection("lms_checkout_style", __("Body Style",'wpfnl'), "assets/icon.png", $this);
		$lms_checkout_selector 			= '.lms-order-details .order-details-table';
		$lms_checkout_body_content 		= '	.lms-order-details .order-details-table .order-item > span';
		$lms_checkout_price_content		= ' .lms-order-details .order-details-table .course-info > span a, .lms-order-details .order-details-table .order-item a,';
		$lms_body->typographySection( __("Body Typography",'wpfnl'), $lms_checkout_body_content, $this );
		$lms_body->typographySection( __("Highlighted Text Typography",'wpfnl'), $lms_checkout_price_content, $this );

		$lms_body->addPreset(
			"padding",
			"order_details_body_padding",
			__("Padding",'wpfnl'),
			$lms_checkout_selector.' .order-item'
		)->whiteList();

		$lms_body->addStyleControls(
			array(
				array(
					"name" => __('Background Color','wpfnl'),
					"selector" => $lms_checkout_selector,
					"property" => 'background-color',
				),

			)
		);
		
		$lms_body->borderSection(
			__("Body Border",'wpfnl'),
			$lms_checkout_selector,
			$this
		);

		/*------------------------------
			LMS Footer section Style
		----------------------------*/
		$lms_footer = $this->addControlSection("lms_footer", __("Footer Style",'wpfnl'), "assets/icon.png", $this);
		$lms_global_selector 		= '.lms-order-details .order-details-table-footer .footer-list span, .lms-order-details .order-details-title, .lms-order-details .order-details-title span';

		$lms_footer->typographySection( __("Footer Typography",'wpfnl'), $lms_global_selector, $this );

    }

    function defaultCSS() {

    }
}
